<div class="flex flex-col flex-auto w-full bg-forcewhite" style="background-color: #F8F8F8;">

    <div class="container flex justify-between">
        <div class="flex items-center cursor-pointer" (click)="backButton()"><mat-icon class="mt-6 mb-6 "
                style="color: #0038FF;">keyboard_arrow_left</mat-icon><span class="mt-6 mb-6 font-Semibold-16"
                style="color: #0038FF;">Back</span></div>
        <div><mat-icon class="mt-6 cursor-pointer" style="color: #0038FF;">help_outline</mat-icon></div>
    </div>

    <div class="flex flex-row flex-wrap items-center justify-center mx-auto -mx-6">
        <div class="flex flex-col mx-6 my-3">
            <div class="font-Semibold-40 text-indigo-900 mt-5 mb-5" style="text-align:center !important;">
                <div>Withdraw Cash</div>
            </div>
        </div>
    </div>

    <div class="flex flex-col items-center sm:justify-center min-w-0">
        <div class="w-full mx-auto mb-10 shadow bg-white box-width" style="max-width: 491px ;box-shadow: 0px 0px 6px #0000001A;
        ">
            <div class="w-full sm:mx-0">

                <!-- Main -->
                <div class="flex-auto">
                    <!-- CONTENT GOES HERE -->
                    <form action="" class="md:container md:mx-auto" [formGroup]="cashWalletWithdrawForm"
                        #cashWalletWithdrawNgForm="ngForm">
                        <div>
                            <div class="relative flex flex-col flex-auto items-center justify-center my-5">
                                <div class="font-Medium-18 mb-2 font-7B7B7B">Cash Wallet Balance</div>
                                <div class="font-Medium-20 font-000"
                                    [ngClass]="{'font-ff0000': labelAlertVisible, 'font-000': !labelAlertVisible, 'disabled': !labelAlertVisible}">
                                    RM{{ availAmount | number:'1.2-2' }}</div>
                                <div class="items-center justify-center">
                                    <span [style.font-size.px]="12" [style.color]="'red'" *ngIf="labelAlertVisible"
                                        class="alert-message">Insufficient Balance</span>
                                </div>
                            </div>

                            <div class="flex flex-col sm:mx-6 my-3 sm:px-15">
                                <div class="mt-2 font-medium text-3xl leading-none">
                                    <div class="form-group">
                                        <div class="flex items-center mb-8">
                                            <div class="flex-auto mt-px border-t"></div>
                                        </div>
                                        <div>
                                            <div>
                                                <mat-form-field class="w-full custom-form-field" appearance="fill">
                                                    <span matPrefix class="font-Semibold-18"
                                                        style="color: #333333 !important;">RM</span>
                                                    <input id="price" type="number" matInput [formControlName]="'price'"
                                                        [(ngModel)]="inputAmount" (input)="compareAmount()"
                                                        placeholder="0.00" required
                                                        style="font-size: 40px; height: 60px;">
                                                    <mat-error
                                                        *ngIf="cashWalletWithdrawForm.get('price').hasError('required')">You
                                                        must enter a value</mat-error>
                                                </mat-form-field>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="pb-3">
                                    <mat-card style="background-color: #F3F6FD; box-shadow: none;">
                                        <mat-card-content class="font-Regular-14 text-center" style="color: #7B7B7B;">
                                            Withdrawal fee is <b>{{setupUom}}{{setupFees | number:'1.2-2'}}</b> per
                                            transaction
                                        </mat-card-content>
                                    </mat-card>
                                </div>
                                <br>
                                <div class="relative flex flex-col flex-auto items-center w-auto mb-7">
                                    <button class="w-full button-r5" style="padding: 27px !important;"
                                        [color]="'primary'" mat-raised-button (click)="withdrawMethod()"
                                        [disabled]="disableButton">
                                        <span *ngIf="!cashWalletWithdrawForm.disabled"
                                            class="font-Semibold-14">Continue</span>
                                    </button>
                                </div>
                            </div>
                        </div>
                    </form>

                </div>

            </div>
        </div>